Subject: Re: [Sipping] RE: draft-stein-great-00.txt

From: Alan Duric <[email-masked]>
Date: Fri, 7 Oct 2005 22:45:26 +0200

> Roar, Alan, do you want to answer this?
>
> Only the IETF has the motivation to design a codec for:
> 1) no 4kHz (or 8kHz) limitation
> 2) high perceptual quality (not "toll quality")
> 3) not necessarily CBR
> 4) low delay
> 5) resilient to bursty packet loss.

I think Yaakov has good points there and I agree with points raised  
above, though I do not agree with the context of the draft and some  
of the content there, but that is part of the other discussion.
One comment, high perceptual quality is very vague statement and if  
it is considered as design goal, then it should be described bit more  
detailed and referring to some widely accepted method (e.g ITU E  
model - I know some would complain for referring to ITU, but do not  
know of any other method as good :-)

I also agree that SIPPING is not the place to discuss new codec to be  
embraced by IETF, so we should move this discussion to other place.
However, I trust it is MUST to take that initiative since there is a  
huge need for wideband codec and from "operators hat" I can only say  
that it is a shame that most of the UAs do not support wideband  
codecs (mainly due to royalty issues or their non-adequateness for IP  
based communications).
Given the adoption rate and success that iLBC had so far, IMHO it is  
our duty to bring royalty-free, internet wideband codec to the  
community and industry!

Best regards,
Alan

>
> -----Original Message-----
> From: Yaakov Stein [mailto:[email-masked]]
> Sent: Friday, October 07, 2005 8:52 AM
> To: Jonathan Rosenberg
> Cc: [email-masked]; Sipping
> Subject: RE: [Sipping] RE: draft-stein-great-00.txt
>
>
>> Yaakov,
>>
>> I for one thank you for this draft. I, like others, believe
>> that VoIP can ultimately produce a better user experience
>> than PSTN, and its good to see folks write down some of the
>> problems that need to be solved to get there.
>>
>> What I am unsure about, is what specific work you are
>> proposing for ietf. Much of what is discussed are
>> implementation tricks and algorithms; i.e., jitter buffer
>> adaptation appraoches. Are you proposing that IETF should
>> somewhere standardize those?
>>
>
> As I wrote in the proposal for the GREAT BOF,
> I suggest writing a series of BCPs,
> describing good ways to make the VoIP
> user experience better.
>
> (I proposed a specific mechanism for PLC in the PWE
> context a few years ago.)
>
> I believe this work fits well into the new RAI area.
> (Meanwhile, I am waiting for the transport ADs
> to approve holding the BOF in Vancouver.)
>
>
>> Some of the other problems you describe - high packet loss
>> and delay - are resolved either through overprovisioning or
>> through the various QoS mechanisms IETF has proposed over the
>> years. None of the QoS mechanisms are present on the public
>> Internet, but the barriers there are business related, not
>> technical. So, I am not sure whether you think there is IETF
>> work to be done there or not.
>>
>
> See my response to a similar question in a previous email.
>
>
>>
>> Another item you mention in your draft and in the thread is a
>> standardized wideband codec. Are you proposing that IETF
>> standardize one?
>>
>
> Sounds like a good idea to me.
> And we should design it from day one for the modern Internet
> environment.
>
> The G-series codecs put 90% effort into low rate, and 10% into low
> delay.
> It is critical for them to be CBR, and there is no attention to packet
> loss, etc.
>
> Only the IETF has the motivation to design a codec for:
> 1) no 4kHz (or 8kHz) limitation
> 2) high perceptual quality (not "toll quality")
> 3) not necessarily CBR
> 4) low delay
> 5) resilient to bursty packet loss
>
>
> Y(J)S
>
>
>
>

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP